Index: pjproject/trunk/pjsip/src/test/tsx_uas_test.c
===================================================================
--- pjproject/trunk/pjsip/src/test/tsx_uas_test.c	(revision 4727)
+++ pjproject/trunk/pjsip/src/test/tsx_uas_test.c	(revision 4728)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
@@ -16,5 +16,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
@@ -31,5 +31,5 @@
  **
  ** This file performs various tests for UAC transactions. Each test will have
- ** a different Via branch param so that message receiver module and 
+ ** a different Via branch param so that message receiver module and
  ** transaction user module can identify which test is being carried out.
  **
@@ -48,5 +48,5 @@
  **
  ** TEST4_BRANCH_ID
- **	Transaction retransmits last response (if any) without notifying 
+ **	Transaction retransmits last response (if any) without notifying
  **	transaction user upon receiving request  retransmissions on TRYING
  **	state
@@ -67,5 +67,5 @@
  ** TEST9_BRANCH_ID
  **	INVITE transaction MUST cease retransmission of final response when
- **	ACK is received. (Note: PJSIP also retransmit 2xx final response 
+ **	ACK is received. (Note: PJSIP also retransmit 2xx final response
  **	until it's terminated by user).
  **     Transaction also MUST terminate in T4 seconds.
@@ -117,5 +117,5 @@
 #define TEST4_REQUEST_COUNT	2
 #define TEST5_PROVISIONAL_CODE	100
-#define TEST5_STATUS_CODE	200	
+#define TEST5_STATUS_CODE	200
 #define TEST5_REQUEST_COUNT	2
 #define TEST5_RESPONSE_COUNT	2
@@ -147,5 +147,5 @@
 
 /* UAC transaction user module. */
-static pjsip_module tsx_user = 
+static pjsip_module tsx_user =
 {
     NULL, NULL,				/* prev and next	*/
@@ -165,5 +165,5 @@
 
 /* Module to send request. */
-static pjsip_module msg_sender = 
+static pjsip_module msg_sender =
 {
     NULL, NULL,				/* prev and next	*/
@@ -242,5 +242,5 @@
     pjsip_tx_data *tdata;
 
-    status = pjsip_endpt_create_response( endpt, rdata, status_code, NULL, 
+    status = pjsip_endpt_create_response( endpt, rdata, status_code, NULL,
 					  &tdata);
     if (status != PJ_SUCCESS) {
@@ -272,5 +272,5 @@
     pj_time_val delay;
 
-    status = pjsip_endpt_create_response( endpt, rdata, status_code, NULL, 
+    status = pjsip_endpt_create_response( endpt, rdata, status_code, NULL,
 					  &tdata);
     if (status != PJ_SUCCESS) {
@@ -354,5 +354,5 @@
 {
     if (pj_stricmp2(&tsx->branch, TEST1_BRANCH_ID)==0 ||
-	pj_stricmp2(&tsx->branch, TEST2_BRANCH_ID)==0) 
+	pj_stricmp2(&tsx->branch, TEST2_BRANCH_ID)==0)
     {
 	/*
@@ -375,5 +375,5 @@
 		test_complete = -100;
 	    }
-	    
+
 	    /* Previous state must be completed. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_COMPLETED) {
@@ -406,5 +406,5 @@
 		test_complete = -110;
 	    }
-	    
+
 	    /* Previous state must be completed. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_COMPLETED) {
@@ -466,5 +466,5 @@
 	    /* Check that status code is status_code. */
 	    if (tsx->status_code != TEST4_STATUS_CODE) {
-		PJ_LOG(3,(THIS_FILE, 
+		PJ_LOG(3,(THIS_FILE,
 			  "    error: incorrect status code %d "
 			  "(expecting %d)", tsx->status_code,
@@ -472,5 +472,5 @@
 		test_complete = -120;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_TRYING) {
@@ -479,5 +479,5 @@
 	    }
 
-	} else if (tsx->state != PJSIP_TSX_STATE_DESTROYED) 
+	} else if (tsx->state != PJSIP_TSX_STATE_DESTROYED)
 	{
 	    PJ_LOG(3,(THIS_FILE, "    error: unexpected state %s (122)",
@@ -503,5 +503,5 @@
 		test_complete = -130;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_PROCEEDING) {
@@ -538,9 +538,9 @@
 	    if (tsx->status_code != TEST6_STATUS_CODE) {
 		PJ_LOG(3,(THIS_FILE, "    error: incorrect status code %d "
-			  "(expecting %d)", tsx->status_code, 
+			  "(expecting %d)", tsx->status_code,
 			  TEST6_STATUS_CODE));
 		test_complete = -140;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_COMPLETED) {
@@ -551,5 +551,5 @@
 	} else if (tsx->state != PJSIP_TSX_STATE_PROCEEDING &&
 		   tsx->state != PJSIP_TSX_STATE_COMPLETED &&
-		   tsx->state != PJSIP_TSX_STATE_DESTROYED) 
+		   tsx->state != PJSIP_TSX_STATE_DESTROYED)
 	{
 	    PJ_LOG(3,(THIS_FILE, "    error: unexpected state %s (142)",
@@ -562,5 +562,5 @@
     } else
     if (pj_stricmp2(&tsx->branch, TEST7_BRANCH_ID)==0 ||
-	pj_stricmp2(&tsx->branch, TEST8_BRANCH_ID)==0) 
+	pj_stricmp2(&tsx->branch, TEST8_BRANCH_ID)==0)
     {
 	/*
@@ -588,5 +588,5 @@
 		test_complete = -150;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_COMPLETED) {
@@ -606,5 +606,5 @@
 
 		if (tsx->retransmit_count != 10) {
-		    PJ_LOG(3,(THIS_FILE, 
+		    PJ_LOG(3,(THIS_FILE,
 			      "    error: incorrect retransmit count %d "
 			      "(expecting 10)",
@@ -622,5 +622,5 @@
 		test_complete = -152;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_TRYING) {
@@ -657,5 +657,5 @@
 		test_complete = -160;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_CONFIRMED) {
@@ -671,5 +671,5 @@
 		test_complete = -162;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_TRYING) {
@@ -686,5 +686,5 @@
 		test_complete = -164;
 	    }
-	    
+
 	    /* Previous state. */
 	    if (e->body.tsx_state.prev_state != PJSIP_TSX_STATE_COMPLETED) {
@@ -704,8 +704,8 @@
     if (pj_stricmp2(&tsx->branch, TEST10_BRANCH_ID)==0 ||
 	pj_stricmp2(&tsx->branch, TEST11_BRANCH_ID)==0 ||
-	pj_stricmp2(&tsx->branch, TEST12_BRANCH_ID)==0)  
+	pj_stricmp2(&tsx->branch, TEST12_BRANCH_ID)==0)
     {
 	if (tsx->state == PJSIP_TSX_STATE_TERMINATED) {
-	    
+
 	    if (!test_complete)
 		test_complete = 1;
@@ -741,9 +741,9 @@
 
     if (pj_stricmp2(&branch_param, TEST1_BRANCH_ID) == 0 ||
-	pj_stricmp2(&branch_param, TEST2_BRANCH_ID) == 0) 
+	pj_stricmp2(&branch_param, TEST2_BRANCH_ID) == 0)
     {
 	/*
-	 * TEST1_BRANCH_ID tests that non-INVITE transaction transmits 2xx 
-	 * final response using correct transport and terminates transaction 
+	 * TEST1_BRANCH_ID tests that non-INVITE transaction transmits 2xx
+	 * final response using correct transport and terminates transaction
 	 * after 32 seconds.
 	 *
@@ -754,6 +754,6 @@
 
 	if (msg->type == PJSIP_REQUEST_MSG) {
-	    /* On received request, create UAS and respond with final 
-	     * response. 
+	    /* On received request, create UAS and respond with final
+	     * response.
 	     */
 	    pjsip_transaction *tsx;
@@ -811,5 +811,5 @@
 
 	    send_response(rdata, tsx, TEST3_PROVISIONAL_CODE);
-	    schedule_send_response(rdata, &tsx->transaction_key, 
+	    schedule_send_response(rdata, &tsx->transaction_key,
 				   TEST3_STATUS_CODE, 2000);
 
@@ -841,5 +841,5 @@
     } else if (pj_stricmp2(&branch_param, TEST4_BRANCH_ID) == 0 ||
 	       pj_stricmp2(&branch_param, TEST5_BRANCH_ID) == 0 ||
-	       pj_stricmp2(&branch_param, TEST6_BRANCH_ID) == 0) 
+	       pj_stricmp2(&branch_param, TEST6_BRANCH_ID) == 0)
     {
 
@@ -878,5 +878,5 @@
 	} else {
 	    /* Verify the response received. */
-	    
+
 	    PJ_LOG(4,(THIS_FILE, "    received response number %d", recv_count));
 
@@ -893,5 +893,5 @@
 		    test_complete = -133;
 
-		} 
+		}
 		if (recv_count > TEST5_RESPONSE_COUNT) {
 		    PJ_LOG(3,(THIS_FILE, "    error: not expecting response!"));
@@ -929,5 +929,5 @@
 
     } else if (pj_stricmp2(&branch_param, TEST7_BRANCH_ID) == 0 ||
-	       pj_stricmp2(&branch_param, TEST8_BRANCH_ID) == 0) 
+	       pj_stricmp2(&branch_param, TEST8_BRANCH_ID) == 0)
     {
 
@@ -972,5 +972,5 @@
 
 	    if (recv_count==1) {
-		
+
 		if (rdata->msg_info.msg->line.status.code != code) {
 		    PJ_LOG(3,(THIS_FILE,"    error: invalid status code"));
@@ -988,5 +988,5 @@
 
 		PJ_TIME_VAL_SUB(now, recv_last);
-	    
+
 		msec = now.sec*1000 + now.msec;
 		msec_expected = (1 << (recv_count-2)) * pjsip_cfg()->tsx.t1;
@@ -1017,5 +1017,5 @@
 
 	/*
-	 * TEST9_BRANCH_ID tests that the retransmission of INVITE final 
+	 * TEST9_BRANCH_ID tests that the retransmission of INVITE final
 	 * response should cease when ACK is received. Transaction also MUST
 	 * terminate in T4 seconds.
@@ -1060,5 +1060,5 @@
 
 		PJ_TIME_VAL_SUB(now, recv_last);
-	    
+
 		msec = now.sec*1000 + now.msec;
 		msec_expected = (1 << (recv_count-2)) * pjsip_cfg()->tsx.t1;
@@ -1082,9 +1082,9 @@
 
 		status = pjsip_endpt_create_request_from_hdr(
-			    endpt, &pjsip_ack_method, 
+			    endpt, &pjsip_ack_method,
 			    rdata->msg_info.to->uri,
 			    rdata->msg_info.from,
 			    rdata->msg_info.to,
-			    NULL, 
+			    NULL,
 			    rdata->msg_info.cid,
 			    rdata->msg_info.cseq->cseq,
@@ -1121,5 +1121,5 @@
     } else if (pj_stricmp2(&branch_param, TEST10_BRANCH_ID) == 0 ||
 	       pj_stricmp2(&branch_param, TEST11_BRANCH_ID) == 0 ||
-	       pj_stricmp2(&branch_param, TEST12_BRANCH_ID) == 0) 
+	       pj_stricmp2(&branch_param, TEST12_BRANCH_ID) == 0)
     {
 	int test_num, code1, code2;
@@ -1132,4 +1132,6 @@
 	    test_num=12, code1 = 200, code2 = 0;
 
+	PJ_UNUSED_ARG(test_num);
+
 	if (rdata->msg_info.msg->type == PJSIP_REQUEST_MSG) {
 
@@ -1146,5 +1148,5 @@
 	    pjsip_tsx_recv_msg(tsx, rdata);
 	    save_key(tsx);
-	    
+
 	    schedule_send_response(rdata, &tsx_key, code1, 1000);
 
@@ -1162,9 +1164,9 @@
 }
 
-/* 
- * The generic test framework, used by most of the tests. 
+/*
+ * The generic test framework, used by most of the tests.
  */
-static int perform_test( char *target_uri, char *from_uri, 
-			 char *branch_param, int test_time, 
+static int perform_test( char *target_uri, char *from_uri,
+			 char *branch_param, int test_time,
 			 const pjsip_method *method,
 			 int request_cnt, int request_interval_msec,
@@ -1178,5 +1180,5 @@
     pj_status_t status;
 
-    PJ_LOG(3,(THIS_FILE, 
+    PJ_LOG(3,(THIS_FILE,
 	      "   please standby, this will take at most %d seconds..",
 	      test_time));
@@ -1193,5 +1195,5 @@
     /* Create request. */
     status = pjsip_endpt_create_request( endpt, method, &target,
-					 &from, &target, NULL, NULL, -1, 
+					 &from, &target, NULL, NULL, -1,
 					 NULL, &tdata);
     if (status != PJ_SUCCESS) {
@@ -1369,5 +1371,5 @@
 
     status = perform_test(TARGET_URI, FROM_URI, branch_id, 5,
-			  &pjsip_options_method, 
+			  &pjsip_options_method,
 			  request_cnt, 1000, 1);
     if (status && status != TEST_TIMEOUT_ERROR)
@@ -1423,5 +1425,5 @@
 /*****************************************************************************
  **
- ** TEST9_BRANCH_ID: retransmission of non-2xx INVITE final response must 
+ ** TEST9_BRANCH_ID: retransmission of non-2xx INVITE final response must
  ** cease when ACK is received
  **
@@ -1464,5 +1466,5 @@
 	char *branch_id;
 	char *title;
-    } tests[] = 
+    } tests[] =
     {
 	{ 0,  10,   TEST10_BRANCH_ID, "test10: failed transport in TRYING state (no delay)" },
@@ -1538,11 +1540,11 @@
     tp_flag = pjsip_transport_get_flag_from_type((pjsip_transport_type_e)param->type);
 
-    pj_ansi_sprintf(TARGET_URI, "sip:bob@127.0.0.1:%d;transport=%s", 
+    pj_ansi_sprintf(TARGET_URI, "sip:bob@127.0.0.1:%d;transport=%s",
 		    param->port, param->tp_type);
-    pj_ansi_sprintf(FROM_URI, "sip:alice@127.0.0.1:%d;transport=%s", 
+    pj_ansi_sprintf(FROM_URI, "sip:alice@127.0.0.1:%d;transport=%s",
 		    param->port, param->tp_type);
 
     /* Check if loop transport is configured. */
-    status = pjsip_endpt_acquire_transport(endpt, PJSIP_TRANSPORT_LOOP_DGRAM, 
+    status = pjsip_endpt_acquire_transport(endpt, PJSIP_TRANSPORT_LOOP_DGRAM,
 				      &addr, sizeof(addr), NULL, &loop);
     if (status != PJ_SUCCESS) {
@@ -1562,6 +1564,6 @@
     }
 
-    /* TEST1_BRANCH_ID: Basic 2xx final response. 
-     * TEST2_BRANCH_ID: Basic non-2xx final response. 
+    /* TEST1_BRANCH_ID: Basic 2xx final response.
+     * TEST2_BRANCH_ID: Basic non-2xx final response.
      */
     status = tsx_basic_final_response_test();
@@ -1578,5 +1580,5 @@
      */
     status = tsx_retransmit_last_response_test(TEST4_TITLE,
-					       TEST4_BRANCH_ID, 
+					       TEST4_BRANCH_ID,
 					       TEST4_REQUEST_COUNT,
 					       TEST4_STATUS_CODE);
@@ -1587,5 +1589,5 @@
      */
     status = tsx_retransmit_last_response_test(TEST5_TITLE,
-					       TEST5_BRANCH_ID, 
+					       TEST5_BRANCH_ID,
 					       TEST5_REQUEST_COUNT,
 					       TEST5_STATUS_CODE);
@@ -1600,5 +1602,5 @@
     if ((tp_flag & PJSIP_TRANSPORT_RELIABLE) == 0) {
 	status = tsx_retransmit_last_response_test(TEST6_TITLE,
-						   TEST6_BRANCH_ID, 
+						   TEST6_BRANCH_ID,
 						   TEST6_REQUEST_COUNT,
 						   TEST6_STATUS_CODE);
@@ -1614,5 +1616,5 @@
 	return status;
 
-    /* TEST9_BRANCH_ID: retransmission of non-2xx INVITE final response must 
+    /* TEST9_BRANCH_ID: retransmission of non-2xx INVITE final response must
      * cease when ACK is received
      * Only applicable for non-reliable transports.
Index: pjproject/trunk/pjsip/src/test/uri_test.c
===================================================================
--- pjproject/trunk/pjsip/src/test/uri_test.c	(revision 4727)
+++ pjproject/trunk/pjsip/src/test/uri_test.c	(revision 4728)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
@@ -16,5 +16,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 #include "test.h"
@@ -68,5 +68,4 @@
 static pjsip_uri *create_uri16( pj_pool_t *pool );
 static pjsip_uri *create_uri17( pj_pool_t *pool );
-static pjsip_uri *create_uri18( pj_pool_t *pool );
 static pjsip_uri *create_uri25( pj_pool_t *pool );
 static pjsip_uri *create_uri26( pj_pool_t *pool );
@@ -97,5 +96,5 @@
     const char	    *printed;
     pj_size_t	     len;
-} uri_test_array[] = 
+} uri_test_array[] =
 {
     {
@@ -184,5 +183,5 @@
     {
 	/* Excercise strange character sets allowed in display, user, password,
-	 * host, and port. 
+	 * host, and port.
 	 */
 	PJ_SUCCESS,
@@ -198,5 +197,5 @@
     },
     {
-	/* Another excercise to the allowed character sets to the username 
+	/* Another excercise to the allowed character sets to the username
 	 * and password.
 	 */
@@ -439,5 +438,5 @@
 {
     /* "sip:localhost;pickup=hurry;user=phone;message=I%20am%20sorry"
-       "?Subject=Hello%20There&Server=SIP%20Server" 
+       "?Subject=Hello%20There&Server=SIP%20Server"
      */
     pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 0);
@@ -659,5 +658,5 @@
 
     uri->number = pj_str("(44).1234-*#+Deaf");
-    return (pjsip_uri*)uri;    
+    return (pjsip_uri*)uri;
 }
 
@@ -669,5 +668,5 @@
     uri->number = pj_str("+1");
     uri->isub_param = pj_str("/:@&$,-_.!~*'()[]/:&$aA1!+=");
-    return (pjsip_uri*)uri;    
+    return (pjsip_uri*)uri;
 }
 
@@ -679,5 +678,5 @@
     uri->number = pj_str("+1");
     uri->ext_param = pj_str("+123");
-    return (pjsip_uri*)uri;    
+    return (pjsip_uri*)uri;
 }
 
@@ -689,5 +688,5 @@
     uri->number = pj_str("911");
     uri->context = pj_str("+1-911");
-    return (pjsip_uri*)uri;    
+    return (pjsip_uri*)uri;
 }
 
@@ -699,5 +698,5 @@
     uri->number = pj_str("911");
     uri->context = pj_str("EMERGENCY.EXAMPLE.COM");
-    return (pjsip_uri*)uri;    
+    return (pjsip_uri*)uri;
 }
 
@@ -709,10 +708,10 @@
 
     uri->number = pj_str("911");
-    
+
     p = PJ_POOL_ALLOC_T(pool, pjsip_param);
     p->name = p->value = pj_str("p1");
     pj_list_insert_before(&uri->other_param, p);
 
-    return (pjsip_uri*)uri;    
+    return (pjsip_uri*)uri;
 }
 
@@ -750,5 +749,5 @@
     url = pjsip_sip_uri_create(pool, 0);
     url->host = pj_str("localhost");
-    
+
     name->uri = (pjsip_uri*)url;
 
@@ -768,5 +767,5 @@
     url = pjsip_sip_uri_create(pool, 0);
     url->host = pj_str("localhost");
-    
+
     name->uri = (pjsip_uri*)url;
 
@@ -1000,6 +999,6 @@
     avg_parse = 1000000 / avg_parse;
 
-    PJ_LOG(3,(THIS_FILE, 
-	      "    %u.%u MB of urls parsed in %d.%03ds (avg=%d urls/sec)", 
+    PJ_LOG(3,(THIS_FILE,
+	      "    %u.%u MB of urls parsed in %d.%03ds (avg=%d urls/sec)",
 	      (unsigned)(var.parse_len/1000000), (unsigned)kbytes,
 	      elapsed.sec, elapsed.msec,
@@ -1019,6 +1018,6 @@
     avg_print = 1000000 / avg_print;
 
-    PJ_LOG(3,(THIS_FILE, 
-	      "    %u.%u MB of urls printed in %d.%03ds (avg=%d urls/sec)", 
+    PJ_LOG(3,(THIS_FILE,
+	      "    %u.%u MB of urls printed in %d.%03ds (avg=%d urls/sec)",
 	      (unsigned)(var.print_len/1000000), (unsigned)kbytes,
 	      elapsed.sec, elapsed.msec,
@@ -1038,6 +1037,6 @@
     avg_cmp = 1000000 / avg_cmp;
 
-    PJ_LOG(3,(THIS_FILE, 
-	      "    %u.%u MB of urls compared in %d.%03ds (avg=%d urls/sec)", 
+    PJ_LOG(3,(THIS_FILE,
+	      "    %u.%u MB of urls compared in %d.%03ds (avg=%d urls/sec)",
 	      (unsigned)(var.cmp_len/1000000), (unsigned)kbytes,
 	      elapsed.sec, elapsed.msec,
@@ -1085,6 +1084,6 @@
 
 
-    /* 
-     * Print maximum parse/sec 
+    /*
+     * Print maximum parse/sec
      */
     for (i=0, max=0; i<COUNT; ++i)
Index: pjproject/trunk/third_party/ilbc/LPCencode.c
===================================================================
--- pjproject/trunk/third_party/ilbc/LPCencode.c	(revision 4727)
+++ pjproject/trunk/third_party/ilbc/LPCencode.c	(revision 4728)
@@ -225,5 +225,4 @@
        float lsf[LPC_FILTERORDER * LPC_N_MAX];
        float lsfdeq[LPC_FILTERORDER * LPC_N_MAX];
-       int change=0;
 
        SimpleAnalysis(lsf, data, iLBCenc_inst);
@@ -234,5 +233,5 @@
 
 
-       change=LSF_check(lsfdeq, LPC_FILTERORDER, iLBCenc_inst->lpc_n);
+       LSF_check(lsfdeq, LPC_FILTERORDER, iLBCenc_inst->lpc_n);
        SimpleInterpolateLSF(syntdenum, weightdenum,
            lsf, lsfdeq, iLBCenc_inst->lsfold,
Index: pjproject/trunk/third_party/ilbc/helpfun.c
===================================================================
--- pjproject/trunk/third_party/ilbc/helpfun.c	(revision 4727)
+++ pjproject/trunk/third_party/ilbc/helpfun.c	(revision 4728)
@@ -278,5 +278,5 @@
    ){
        int k,n,m, Nit=2, change=0,pos;
-       float tmp;
+       //float tmp;
        static float eps=(float)0.039; /* 50 Hz */
        static float eps2=(float)0.0195;
@@ -294,5 +294,5 @@
 
                        if (lsf[pos+1]<lsf[pos]) {
-                           tmp=lsf[pos+1];
+                           //tmp=lsf[pos+1];
                            lsf[pos+1]= lsf[pos]+eps2;
                            lsf[pos]= lsf[pos+1]-eps2;
Index: pjproject/trunk/third_party/ilbc/iLBC_decode.c
===================================================================
--- pjproject/trunk/third_party/ilbc/iLBC_decode.c	(revision 4727)
+++ pjproject/trunk/third_party/ilbc/iLBC_decode.c	(revision 4728)
@@ -340,5 +340,4 @@
        float cc, maxcc;
        int idxVec[STATE_LEN];
-       int check;
        int gain_index[NASUB_MAX*CB_NSTAGES],
            extra_gain_index[CB_NSTAGES];
@@ -501,5 +500,5 @@
 
                SimplelsfDEQ(lsfdeq, lsf_i, iLBCdec_inst->lpc_n);
-               check=LSF_check(lsfdeq, LPC_FILTERORDER,
+               LSF_check(lsfdeq, LPC_FILTERORDER,
                    iLBCdec_inst->lpc_n);
                DecoderInterpolateLSF(syntdenum, weightdenum,
Index: pjproject/trunk/third_party/resample/src/resamplesubs.c
===================================================================
--- pjproject/trunk/third_party/resample/src/resamplesubs.c	(revision 4727)
+++ pjproject/trunk/third_party/resample/src/resamplesubs.c	(revision 4728)
@@ -7,5 +7,5 @@
  *
  * Snippet from the resample.1 man page:
- * 
+ *
  * HISTORY
  *
@@ -14,19 +14,19 @@
  * 1981.  It was called SRCONV and was written in SAIL for PDP-10
  * compatible machines.  The algorithm was first published in
- * 
+ *
  * Smith, Julius O. and Phil Gossett. ``A Flexible Sampling-Rate
  * Conversion Method,'' Proceedings (2): 19.4.1-19.4.4, IEEE Conference
  * on Acoustics, Speech, and Signal Processing, San Diego, March 1984.
- * 
+ *
  * An expanded tutorial based on this paper is available at the Digital
  * Audio Resampling Home Page given above.
- * 
+ *
  * Circa 1988, the SRCONV program was translated from SAIL to C by
  * Christopher Lee Fraley working with Roger Dannenberg at CMU.
- * 
+ *
  * Since then, the C version has been maintained by jos.
- * 
+ *
  * Sndlib support was added 6/99 by John Gibson <jgg9c@virginia.edu>.
- * 
+ *
  * The resample program is free software distributed in accordance
  * with the Lesser GNU Public License (LGPL).  There is NO warranty; not
@@ -78,5 +78,5 @@
 #undef INLINE
 #define INLINE
-#define HAVE_FILTER 0    
+#define HAVE_FILTER 0
 
 #ifndef NULL
@@ -95,5 +95,5 @@
     } else if (v < MIN_HWORD) {
 	v = MIN_HWORD;
-    }	
+    }
     out = (RES_HWORD) v;
     return out;
@@ -102,5 +102,5 @@
 /* Sampling rate conversion using linear interpolation for maximum speed.
  */
-static int 
+static int
   SrcLinear(const RES_HWORD X[], RES_HWORD Y[], double pFactor, RES_UHWORD nx)
 {
@@ -110,17 +110,17 @@
     RES_HWORD *Ystart, *Yend;
     RES_WORD v,x1,x2;
-    
-    double dt;                  /* Step through input signal */ 
+
+    double dt;                  /* Step through input signal */
     RES_UWORD dtb;                  /* Fixed-point version of Dt */
-    RES_UWORD endTime;              /* When time reaches EndTime, return to user */
-    
+    //RES_UWORD endTime;              /* When time reaches EndTime, return to user */
+
     dt = 1.0/pFactor;            /* Output sampling period */
     dtb = dt*(1<<Np) + 0.5;     /* Fixed-point representation */
-    
+
     Ystart = Y;
     Yend = Ystart + (unsigned)(nx * pFactor + 0.5);
-    endTime = time + (1<<Np)*(RES_WORD)nx;
-    
-    // Integer round down in dtb calculation may cause (endTime % dtb > 0), 
+    //endTime = time + (1<<Np)*(RES_WORD)nx;
+
+    // Integer round down in dtb calculation may cause (endTime % dtb > 0),
     // so it may cause resample write pass the output buffer (Y >= Yend).
     // while (time < endTime)
@@ -140,5 +140,5 @@
 }
 
-static RES_WORD FilterUp(const RES_HWORD Imp[], const RES_HWORD ImpD[], 
+static RES_WORD FilterUp(const RES_HWORD Imp[], const RES_HWORD ImpD[],
 		     RES_UHWORD Nwing, RES_BOOL Interp,
 		     const RES_HWORD *Xp, RES_HWORD Ph, RES_HWORD Inc)
@@ -149,5 +149,5 @@
     RES_HWORD a = 0;
     RES_WORD v, t;
-    
+
     v=0;
     Hp = &Imp[Ph>>Na];
@@ -179,6 +179,6 @@
 
 	  Xp += Inc;		/* Input signal step. NO CHECK ON BOUNDS */
-      } 
-    else 
+      }
+    else
       while (Hp < End) {
 	  t = *Hp;		/* Get filter coeff */
@@ -203,5 +203,5 @@
     RES_WORD v, t;
     RES_UWORD Ho;
-    
+
     v=0;
     Ho = (Ph*(RES_UWORD)dhb)>>Np;
@@ -228,5 +228,5 @@
 	  Xp += Inc;		/* Input signal step. NO CHECK ON BOUNDS */
       }
-    else 
+    else
       while ((Hp = &Imp[Ho>>Na]) < End) {
 	  t = *Hp;		/* Get IR sample */
@@ -245,5 +245,5 @@
  * Slightly faster than down-conversion;
  */
-static int SrcUp(const RES_HWORD X[], RES_HWORD Y[], double pFactor, 
+static int SrcUp(const RES_HWORD X[], RES_HWORD Y[], double pFactor,
 		 RES_UHWORD nx, RES_UHWORD pNwing, RES_UHWORD pLpScl,
 		 const RES_HWORD pImp[], const RES_HWORD pImpD[], RES_BOOL Interp)
@@ -252,18 +252,18 @@
     RES_HWORD *Ystart, *Yend;
     RES_WORD v;
-    
-    double dt;                  /* Step through input signal */ 
+
+    double dt;                  /* Step through input signal */
     RES_UWORD dtb;                  /* Fixed-point version of Dt */
     RES_UWORD time = 0;
-    RES_UWORD endTime;              /* When time reaches EndTime, return to user */
-    
+    //RES_UWORD endTime;              /* When time reaches EndTime, return to user */
+
     dt = 1.0/pFactor;            /* Output sampling period */
     dtb = dt*(1<<Np) + 0.5;     /* Fixed-point representation */
-    
+
     Ystart = Y;
     Yend = Ystart + (unsigned)(nx * pFactor + 0.5);
-    endTime = time + (1<<Np)*(RES_WORD)nx;
-
-    // Integer round down in dtb calculation may cause (endTime % dtb > 0), 
+    //endTime = time + (1<<Np)*(RES_WORD)nx;
+
+    // Integer round down in dtb calculation may cause (endTime % dtb > 0),
     // so it may cause resample write pass the output buffer (Y >= Yend).
     // while (time < endTime)
@@ -289,5 +289,5 @@
 /* Sampling rate conversion subroutine */
 
-static int SrcUD(const RES_HWORD X[], RES_HWORD Y[], double pFactor, 
+static int SrcUD(const RES_HWORD X[], RES_HWORD Y[], double pFactor,
 		 RES_UHWORD nx, RES_UHWORD pNwing, RES_UHWORD pLpScl,
 		 const RES_HWORD pImp[], const RES_HWORD pImpD[], RES_BOOL Interp)
@@ -296,22 +296,22 @@
     RES_HWORD *Ystart, *Yend;
     RES_WORD v;
-    
+
     double dh;                  /* Step through filter impulse response */
     double dt;                  /* Step through input signal */
     RES_UWORD time = 0;
-    RES_UWORD endTime;          /* When time reaches EndTime, return to user */
+    //RES_UWORD endTime;          /* When time reaches EndTime, return to user */
     RES_UWORD dhb, dtb;         /* Fixed-point versions of Dh,Dt */
-    
+
     dt = 1.0/pFactor;            /* Output sampling period */
     dtb = dt*(1<<Np) + 0.5;     /* Fixed-point representation */
-    
+
     dh = MIN(Npc, pFactor*Npc);  /* Filter sampling period */
     dhb = dh*(1<<Na) + 0.5;     /* Fixed-point representation */
-    
+
     Ystart = Y;
     Yend = Ystart + (unsigned)(nx * pFactor + 0.5);
-    endTime = time + (1<<Np)*(RES_WORD)nx;
-
-    // Integer round down in dtb calculation may cause (endTime % dtb > 0), 
+    //endTime = time + (1<<Np)*(RES_WORD)nx;
+
+    // Integer round down in dtb calculation may cause (endTime % dtb > 0),
     // so it may cause resample write pass the output buffer (Y >= Yend).
     // while (time < endTime)
@@ -332,5 +332,5 @@
 
 
-DECL(int) res_SrcLinear(const RES_HWORD X[], RES_HWORD Y[], 
+DECL(int) res_SrcLinear(const RES_HWORD X[], RES_HWORD Y[],
 		        double pFactor, RES_UHWORD nx)
 {
@@ -338,5 +338,5 @@
 }
 
-DECL(int) res_Resample(const RES_HWORD X[], RES_HWORD Y[], double pFactor, 
+DECL(int) res_Resample(const RES_HWORD X[], RES_HWORD Y[], double pFactor,
 		       RES_UHWORD nx, RES_BOOL LargeF, RES_BOOL Interp)
 {
@@ -355,9 +355,9 @@
 
 	if (LargeF)
-	    return SrcUD(X, Y, pFactor, nx, 
+	    return SrcUD(X, Y, pFactor, nx,
 			 LARGE_FILTER_NWING, LARGE_FILTER_SCALE * pFactor + 0.5,
 			 LARGE_FILTER_IMP, LARGE_FILTER_IMPD, Interp);
 	else
-	    return SrcUD(X, Y, pFactor, nx, 
+	    return SrcUD(X, Y, pFactor, nx,
 			 SMALL_FILTER_NWING, SMALL_FILTER_SCALE * pFactor + 0.5,
 			 SMALL_FILTER_IMP, SMALL_FILTER_IMPD, Interp);
@@ -369,8 +369,8 @@
 {
     if (LargeF)
-	return (LARGE_FILTER_NMULT + 1) / 2.0  *  
+	return (LARGE_FILTER_NMULT + 1) / 2.0  *
 	        MAX(1.0, 1.0/pFactor);
     else
-	return (SMALL_FILTER_NMULT + 1) / 2.0  *  
+	return (SMALL_FILTER_NMULT + 1) / 2.0  *
 		MAX(1.0, 1.0/pFactor);
 }
